vlan 1.9-3.3ubuntu1 source package in Ubuntu

Changelog

vlan (1.9-3.3ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - In vlan ifupdown pre-up script, instead of calling ip link up for
      raw device before creating vlan interface, do a full ifup for raw
      device.  Otherwise, if raw device processes ifup after vlan device,
      the raw device may be taken down and back up, which removes all vlan
      routes and other configuration.
    - Correct previous patch, to work for ifupdown configuration where a
      vlan is configured but the vlan's raw device has no ifupdown config.
    - Revert change for lp1573272; instead fix by redesigning when vlan
      interfaces are created; after raw-device ifup, not during raw-device
      udev processing.
    - Add a udeb for vconfig in debian-installer.
    - Add udev hook and script for event based bring up.
    - Add support for biosdevname
    - Revert ifupdown integration as event based bringup is currently
      incompatible with the way ifupdown sets up bridges and vlans.

vlan (1.9-3.3) unstable; urgency=medium

  [ St├ęphane Graber ]
  * Now that a vlan interface can be created by a udev hook and
    ifupdown checks return codes from the scripts,
    make sure to properly deal with an already existing interface.

  [ Dan Streetman ]
  * If VLAN is configured with higher MTU than raw device MTU, which can
    happen if VLAN is ifup'ed before raw device, then increase raw device
    MTU first so the VLAN ifup does not fail. (LP: #1224007)
  * Allow ip-rp-filter to be 0, 1, or 2 instead of only 0 or 1
    (LP: #1716964)

 -- Eric Desrochers <email address hidden>  Tue, 15 May 2018 20:14:30 +0000

Upload details

Uploaded by:
Eric Desrochers on 2018-05-30
Uploaded to:
Cosmic
Original maintainer:
Ubuntu Developers
Architectures:
any
Section:
misc
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Cosmic release on 2018-05-30 main misc

Downloads

File Size SHA-256 Checksum
vlan_1.9.orig.tar.gz 172.0 KiB 3b8f0a1bf0d3642764e5f646e1f3bbc8b1eeec474a77392d9aeb4868842b4cca
vlan_1.9-3.3ubuntu1.diff.gz 9.2 KiB 338de492b1dc2443970cdc555cfd562301c1768e1b22c6699247a6b6d6a8d7e9
vlan_1.9-3.3ubuntu1.dsc 1.5 KiB 85ec5a296006b437ddc4eb31bb244f57a2265da4407587728b91856c1b73dc69

Available diffs

View changes file

Binary packages built by this source

vlan: ifupdown integration for vlan configuration

 This package contains integration scripts for configuring vlan
 interfaces via ifupdown (/etc/network/interfaces).
 For further details see vlan-interfaces(5) man page in this package.
 .
 Please note that these integration scripts only supports a limited
 set of interface naming schemes, which means you might be better
 off with writing your own ifupdown hooks using ip(route2)
 directly in /etc/network/interfaces rather than using this package.
 .
 It currently also ships a wrapper script for backwards compatibility
 called vconfig, that replaces the old deprecated vconfig program
 with translations to ip(route2) commands.
 This compatibility shim might be dropped in future releases, please
 use ip(route2) commands directly.
 .
 Your kernel needs vlan support for this to work, see "modinfo 8021q".

vlan-dbgsym: debug symbols for vlan
vlan-udeb: vconfig wrapper to enable VLANs on your ethernet devices

 This package provides the vconfig wrapper script for backwards
 compatibility use in debian-installer. This compatibility shim
 might be dropped in future releases, please convert debian-installer
 to use ip(route2) commands directly, and remove the dependency on
 this udeb.